## obs-studio-dmo 27.0.1

=== libobs/CMakeLists.txt ===
project(libobs)

find_package(Threads REQUIRED)

find_package(FFmpeg REQUIRED
	COMPONENTS avformat avutil swscale swresample
	OPTIONAL_COMPONENTS avcodec)
include_directories(${FFMPEG_INCLUDE_DIRS})

if (NOT "${FFMPEG_AVCODEC_LIBRARIES}" STREQUAL "")
	list(REMOVE_ITEM FFMPEG_LIBRARIES ${FFMPEG_AVCODEC_LIBRARIES})
endif()

if(DEBUG_FFMPEG_MUX)
	add_definitions(-DSHOW_SUBPROCESSES)
endif()

if(UNIX)
	if (NOT APPLE)
		find_package(X11 REQUIRED)
		find_package(X11_XCB REQUIRED)
		find_package(XCB OPTIONAL_COMPONENTS XINPUT)
		find_package(XCB)
		find_library(M_LIBRARY NAMES m)
		find_library(DL_LIBRARY NAMES dl)
		if (XCB_XINPUT_FOUND)
			set(USE_XINPUT "1")
		else()
			set(USE_XINPUT "0")
		endif()
		find_package(PulseAudio)
		if (NOT "${PULSEAUDIO_LIBRARY}" STREQUAL "")
			message(STATUS "Found PulseAudio - Audio Monitor enabled")
			set(HAVE_PULSEAUDIO "1")
		else()
			set(HAVE_PULSEAUDIO "0")
		endif()
	else()
		set(HAVE_PULSEAUDIO "0")
		set(USE_XINPUT "0")
	endif()
	find_package(Gio QUIET)
else()
	set(HAVE_DBUS "0")
	set(HAVE_PULSEAUDIO "0")
	set(USE_XINPUT "0")
endif()

find_package(ImageMagick QUIET COMPONENTS MagickCore)

if(NOT ImageMagick_MagickCore_FOUND AND NOT FFMPEG_AVCODEC_FOUND)
	message(FATAL_ERROR "Either MagickCore or Libavcodec is required, but neither were found.")
elseif(NOT ImageMagick_MagickCore_FOUND AND LIBOBS_PREFER_IMAGEMAGICK)
	message(FATAL_ERROR "ImageMagick support was requested, but was not found.")
endif()

option(LIBOBS_PREFER_IMAGEMAGICK "Prefer ImageMagick over ffmpeg for image loading" OFF)

if(NOT FFMPEG_AVCODEC_FOUND OR (ImageMagick_MagickCore_FOUND AND LIBOBS_PREFER_IMAGEMAGICK))
	message(STATUS "Using ImageMagick for image loading in libobs")

	if(${ImageMagick_VERSION_STRING} LESS 7)
		set(LIBOBS_IMAGEMAGICK_DIR_STYLE LIBOBS_IMAGEMAGICK_DIR_STYLE_6L)
	elseif(${ImageMagick_VERSION_STRING} GREATER_EQUAL 7)
		set(LIBOBS_IMAGEMAGICK_DIR_STYLE LIBOBS_IMAGEMAGICK_DIR_STYLE_7GE)
	endif()

	set(libobs_image_loading_SOURCES
		graphics/graphics-magick.c)
	set(libobs_image_loading_LIBRARIES
		${ImageMagick_LIBRARIES})

	include_directories(${ImageMagick_INCLUDE_DIRS})
else()
	message(STATUS "Using libavcodec for image loading in libobs")

	set(libobs_image_loading_SOURCES
		graphics/graphics-ffmpeg.c)
	set(libobs_image_loading_LIBRARIES
		${FFMPEG_AVCODEC_LIBRARIES})
endif()

find_package(ZLIB REQUIRED)

include_directories(SYSTEM ${ZLIB_INCLUDE_DIRS})

add_definitions(-DLIBOBS_EXPORTS)

include_directories(${OBS_JANSSON_INCLUDE_DIRS})

if(WIN32)
	set(MODULE_DESCRIPTION "OBS Library")
	file(STRINGS obs-config.h _version_parse REGEX "^.*(MAJOR|MINOR|PATCH)_VER[ \t]+[0-9]+[ \t]*$")

	string(REGEX REPLACE ".*MAJOR_VER[ \t]+([0-9]+).*" "\\1" UI_VERSION_MAJOR "${_version_parse}")
	string(REGEX REPLACE ".*MINOR_VER[ \t]+([0-9]+).*" "\\1" UI_VERSION_MINOR "${_version_parse}")
	string(REGEX REPLACE ".*PATCH_VER[ \t]+([0-9]+).*" "\\1" UI_VERSION_PATCH "${_version_parse}")
	set(UI_VERSION "${UI_VERSION_MAJOR}.${UI_VERSION_MINOR}.${UI_VERSION_PATCH}")

	configure_file(${CMAKE_SOURCE_DIR}/cmake/winrc/obs-module.rc.in libobs.rc)
	set(libobs_PLATFORM_SOURCES
		obs-win-crash-handler.c
		obs-windows.c
		util/threading-windows.c
		util/pipe-windows.c
		util/platform-windows.c
		libobs.rc)
	set(libobs_PLATFORM_HEADERS
		util/threading-windows.h
		util/windows/win-registry.h
		util/windows/win-version.h
		util/windows/ComPtr.hpp
		util/windows/CoTaskMemPtr.hpp
		util/windows/HRError.hpp
		util/windows/WinHandle.hpp)
	set(libobs_audio_monitoring_SOURCES
		audio-monitoring/win32/wasapi-output.c
		audio-monitoring/win32/wasapi-enum-devices.c
		)
	set(libobs_audio_monitoring_HEADERS
		audio-monitoring/win32/wasapi-output.h
		)
	set(libobs_PLATFORM_DEPS winmm psapi)
	if(MSVC)
		set(libobs_PLATFORM_DEPS
		${libobs_PLATFORM_DEPS}
		w32-pthreads)
	endif()
elseif(APPLE)
	set(libobs_PLATFORM_SOURCES
		obs-cocoa.m
		util/threading-posix.c
		util/pipe-posix.c
		util/platform-nix.c
		util/platform-cocoa.m)
	set(libobs_PLATFORM_HEADERS
		util/threading-posix.h
		util/apple/cfstring-utils.h)
	set(libobs_audio_monitoring_SOURCES
		audio-monitoring/osx/coreaudio-enum-devices.c
		audio-monitoring/osx/coreaudio-output.c
		)
	set(libobs_audio_monitoring_HEADERS
		audio-monitoring/osx/mac-helpers.h
		)

	set_source_files_properties(${libobs_PLATFORM_SOURCES}
		PROPERTIES
			COMPILE_FLAGS "-fobjc-arc")

	find_library(COCOA Cocoa)
	mark_as_advanced(COCOA)
	include_directories(${COCOA})

	find_library(COREAUDIO CoreAudio)
	mark_as_advanced(COREAUDIO)
	include_directories(${COREAUDIO})

	find_library(AUDIOTOOLBOX AudioToolbox)
	mark_as_advanced(AUDIOTOOLBOX)
	include_directories(${AUDIOTOOLBOX})

	find_library(AUDIOUNIT AudioUnit)
	mark_as_advanced(AUDIOUNIT)
	include_directories(${AUDIOUNIT})

	find_library(APPKIT AppKit)
	mark_as_advanced(APPKIT)
	include_directories(${APPKIT})

	find_library(IOKIT IOKit)
	mark_as_advanced(IOKIT)
	include_directories(${IOKIT})

	find_library(CARBON Carbon)
	mark_as_advanced(CARBON)
	include_directories(${CARBON})

	set(libobs_PLATFORM_DEPS
		${COCOA}
		${COREAUDIO}
		${AUDIOUNIT}
		${AUDIOTOOLBOX}
		${APPKIT}
		${IOKIT}
		${CARBON})
elseif(UNIX)
	set(libobs_PLATFORM_SOURCES
		obs-nix.c
		obs-nix-platform.c
		obs-nix-x11.c
		util/threading-posix.c
		util/pipe-posix.c
		util/platform-nix.c)

	set(libobs_PLATFORM_HEADERS
		util/threading-posix.h
		obs-nix-platform.h)

	if(ENABLE_WAYLAND)
		find_package(Wayland COMPONENTS Client REQUIRED)

		set(libobs_PLATFORM_SOURCES ${libobs_PLATFORM_SOURCES}
			obs-nix-wayland.c)

		include_directories(
			${WAYLAND_CLIENT_INCLUDE_DIR})
		add_definitions(
			${WAYLAND_DEFINITIONS})
		set(libobs_PLATFORM_DEPS
			${libobs_PLATFORM_DEPS}
			${WAYLAND_CLIENT_LIBRARIES})
	endif()

	if(HAVE_PULSEAUDIO)
		set(libobs_audio_monitoring_HEADERS
			audio-monitoring/pulse/pulseaudio-wrapper.h)

		set(libobs_audio_monitoring_SOURCES
			audio-monitoring/pulse/pulseaudio-wrapper.c
			audio-monitoring/pulse/pulseaudio-enum-devices.c
			audio-monitoring/pulse/pulseaudio-output.c)
	else()
		set(libobs_audio_monitoring_SOURCES
			audio-monitoring/null/null-audio-monitoring.c)
	endif()
	if(GIO_FOUND)
		set(libobs_PLATFORM_SOURCES ${libobs_PLATFORM_SOURCES}
			util/platform-nix-dbus.c)
		include_directories(${GIO_INCLUDE_DIRS})
		add_definitions(
			${GIO_DEFINITIONS})
		set(libobs_PLATFORM_DEPS
			${libobs_PLATFORM_DEPS}
			${GIO_LIBRARIES})
	endif()

	include_directories(
		${X11_X11_INCLUDE_PATH}
		${X11_XCB_INCLUDE_DIRS})
	add_definitions(
		${X11_XCB_DEFINITIONS})
	set(libobs_PLATFORM_DEPS
		${libobs_PLATFORM_DEPS}
		${DL_LIBRARY}
		${M_LIBRARY}
		${X11_X11_LIB}
		${XCB_LIBRARIES}
		${X11_XCB_LIBRARIES})

	if(USE_XINPUT)
		include_directories(
			${XCB_XINPUT_INCLUDE_DIR})
		add_definitions(
			${XCB_DEFINITIONS})
		set(libobs_PLATFORM_DEPS
			${XCB_XINPUT_LIBRARY}
			${libobs_PLATFORM_DEPS})
	endif()

	if(HAVE_PULSEAUDIO)
		set(libobs_PLATFORM_DEPS
			${libobs_PLATFORM_DEPS}
			${PULSEAUDIO_LIBRARY})
	endif()

	if(${CMAKE_SYSTEM_NAME} MATCHES "FreeBSD")
		# use the sysinfo compatibility library on bsd
		find_package(Libsysinfo REQUIRED)
		include_directories(${SYSINFO_INCLUDE_DIRS})
		set(libobs_PLATFORM_DEPS
			${libobs_PLATFORM_DEPS}
			${SYSINFO_LIBRARIES})
	endif()
endif()

if(MSVC)
	set(CMAKE_SHARED_LINKER_FLAGS "${CMAKE_SHARED_LINKER_FLAGS} /SAFESEH:NO")
	set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} /EHc-")
	set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} /EHc-")
endif()

configure_file(
	"${CMAKE_CURRENT_SOURCE_DIR}/obsconfig.h.in"
	"${CMAKE_BINARY_DIR}/config/obsconfig.h")

set(libobs_config_HEADERS
	"${CMAKE_BINARY_DIR}/config/obsconfig.h"
	obs-config.h)

set(libobs_callback_SOURCES
	callback/calldata.c
	callback/decl.c
	callback/signal.c
	callback/proc.c)
set(libobs_callback_HEADERS
	callback/calldata.h
	callback/decl.h
	callback/proc.h
	callback/signal.h)

set(libobs_graphics_SOURCES
	${libobs_image_loading_SOURCES}
	graphics/quat.c
	graphics/effect-parser.c
	graphics/axisang.c
	graphics/vec4.c
	graphics/vec2.c
	graphics/libnsgif/libnsgif.c
	graphics/texture-render.c
	graphics/image-file.c
	graphics/bounds.c
	graphics/matrix3.c
	graphics/matrix4.c
	graphics/vec3.c
	graphics/graphics.c
	graphics/shader-parser.c
	graphics/plane.c
	graphics/effect.c
	graphics/math-extra.c
	graphics/graphics-imports.c)
set(libobs_graphics_HEADERS
	graphics/half.h
	graphics/plane.h
	graphics/quat.h
	graphics/input.h
	graphics/axisang.h
	graphics/shader-parser.h
	graphics/effect.h
	graphics/math-defs.h
	graphics/matrix4.h
	graphics/graphics.h
	graphics/graphics-internal.h
	graphics/libnsgif/libnsgif.h
	graphics/device-exports.h
	graphics/image-file.h
	graphics/srgb.h
	graphics/vec2.h
	graphics/vec4.h
	graphics/matrix3.h
	graphics/vec3.h
	graphics/math-extra.h
	graphics/bounds.h
	graphics/effect-parser.h)

set(libobs_mediaio_SOURCES
	media-io/video-io.c
	media-io/video-fourcc.c
	media-io/video-matrices.c
	media-io/audio-io.c
	media-io/video-frame.c
	media-io/format-conversion.c
	media-io/audio-resampler-ffmpeg.c
	media-io/video-scaler-ffmpeg.c
	media-io/media-remux.c)
set(libobs_mediaio_HEADERS
	media-io/media-io-defs.h
	media-io/video-io.h
	media-io/audio-io.h
	media-io/audio-math.h
	media-io/video-frame.h
	media-io/format-conversion.h
	media-io/audio-resampler.h
	media-io/video-scaler.h
	media-io/media-remux.h
	media-io/frame-rate.h)

set(libobs_util_SOURCES
	util/array-serializer.c
	util/file-serializer.c
	util/base.c
	util/platform.c
	util/cf-lexer.c
	util/bmem.c
	util/config-file.c
	util/lexer.c
	util/dstr.c
	util/utf8.c
	util/crc32.c
	util/text-lookup.c
	util/cf-parser.c
	util/profiler.c
	util/bitstream.c)
set(libobs_util_HEADERS
	util/curl/curl-helper.h
	util/sse-intrin.h
	util/array-serializer.h
	util/file-serializer.h
	util/utf8.h
	util/crc32.h
	util/base.h
	util/text-lookup.h
	util/bmem.h
	util/c99defs.h
	util/util_uint64.h
	util/util_uint128.h
	util/cf-parser.h
	util/threading.h
	util/pipe.h
	util/cf-lexer.h
	util/darray.h
	util/circlebuf.h
	util/dstr.h
	util/serializer.h
	util/config-file.h
	util/lexer.h
	util/platform.h
	util/profiler.h
	util/profiler.hpp
	util/bitstream.h)

set(libobs_libobs_SOURCES
	${libobs_PLATFORM_SOURCES}
	obs-audio-controls.c
	obs-avc.c
	obs-encoder.c
	obs-service.c
	obs-source.c
	obs-source-deinterlace.c
	obs-source-transition.c
	obs-output.c
	obs-output-delay.c
	obs.c
	obs-properties.c
	obs-data.c
	obs-missing-files.c
	obs-hotkey.c
	obs-hotkey-name-map.c
	obs-module.c
	obs-display.c
	obs-view.c
	obs-scene.c
	obs-audio.c
	obs-video-gpu-encode.c
	obs-video.c)
set(libobs_libobs_HEADERS
	util/simde/check.h
	util/simde/debug-trap.h
	util/simde/hedley.h
	util/simde/simde-align.h
	util/simde/simde-arch.h
	util/simde/simde-common.h
	util/simde/simde-constify.h
	util/simde/simde-detect-clang.h
	util/simde/simde-diagnostic.h
	util/simde/simde-features.h
	util/simde/simde-math.h
	util/simde/x86/mmx.h
	util/simde/x86/sse2.h
	util/simde/x86/sse.h
	${libobs_PLATFORM_HEADERS}
	obs-audio-controls.h
	obs-defs.h
	obs-avc.h
	obs-encoder.h
	obs-service.h
	obs-internal.h
	obs.h
	obs-ui.h
	obs-properties.h
	obs-data.h
	obs-missing-files.h
	obs-interaction.h
	obs-hotkey.h
	obs-hotkeys.h
	obs-module.h
	obs-scene.h
	obs-source.h
	obs-output.h
	obs-ffmpeg-compat.h
	obs.hpp)

set(libobs_SOURCES
	${libobs_callback_SOURCES}
	${libobs_graphics_SOURCES}
	${libobs_mediaio_SOURCES}
	${libobs_util_SOURCES}
	${libobs_libobs_SOURCES}
	${libobs_audio_monitoring_SOURCES}
	)

set(libobs_HEADERS
	${libobs_config_HEADERS}
	${libobs_callback_HEADERS}
	${libobs_graphics_HEADERS}
	${libobs_mediaio_HEADERS}
	${libobs_util_HEADERS}
	${libobs_libobs_HEADERS}
	${libobs_audio_monitoring_HEADERS}
	)

source_group("callback\\Source Files" FILES ${libobs_callback_SOURCES})
source_group("callback\\Header Files" FILES ${libobs_callback_HEADERS})
source_group("graphics\\Source Files" FILES ${libobs_graphics_SOURCES})
source_group("graphics\\Header Files" FILES ${libobs_graphics_HEADERS})
source_group("libobs\\Source Files" FILES ${libobs_libobs_SOURCES})

=== deps/blake2/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.2)

project(blake2)

set(BLAKE2_INCLUDE_DIR
	"${CMAKE_CURRENT_SOURCE_DIR}/src"
		CACHE PATH "blake2 include path")

include_directories(
	${LIBblake2_INCLUDE_DIRS}
	src
)

if(WIN32)
	if(MSVC)
		add_compile_options($<IF:$<CONFIG:Debug>,/MTd,/MT> /Zl)
	endif()
	add_definitions(
		-Dinline=_inline
		-Drestrict=__restrict)
endif()

set(blake2_SOURCES
	src/blake2b-ref.c)

set(blake2_HEADERS
	src/blake2.h
	src/blake2-impl.h)

add_library(blake2 STATIC
	${blake2_SOURCES}
	${blake2_HEADERS})
set_target_properties(blake2 PROPERTIES FOLDER "deps")

=== deps/jansson/CMakeLists.txt ===
# Notes:
#
# Author: Paul Harris, June 2012
# Additions: Joakim Soderberg, Febuary 2013
#
# Supports: building static/shared, release/debug/etc, can also build html docs
# and some of the tests.
# Note that its designed for out-of-tree builds, so it will not pollute your
# source tree.
#
# TODO 1: Finish implementing tests. api tests are working, but the valgrind
# variants are not flagging problems.
#
# TODO 2: There is a check_exports script that would try and incorporate.
#
# TODO 3: Consolidate version numbers, currently the version number is written
# into: * cmake (here) * autotools (the configure) * source code header files.
# Should not be written directly into header files, autotools/cmake can do
# that job.
#
# Brief intro on how to use cmake:
# > mkdir build (somewhere - we do out-of-tree builds)
# > use cmake, ccmake, or cmake-gui to configure the project. for linux, you
# can only choose one variant: release,debug,etc... and static or shared.
# >> example:
# >> cd build
# >> ccmake -i ../path_to_jansson_dir
# >>  inside, configure your options. press C until there are no lines
#     with * next to them.
# >>  note, I like to configure the 'install' path to ../install, so I get
#     self-contained clean installs I can point other projects to.
# >>  press G to 'generate' the project files.
# >> make (to build the project)
# >> make install
# >> make test (to run the tests, if you enabled them)
#
# Brief description on how it works:
# There is a small heirachy of CMakeLists.txt files which define how the
# project is built.
# Header file detection etc is done, and the results are written into config.h
# and jansson_config.h, which are generated from the corresponding
# config.h.cmake and jansson_config.h.cmake template files.
# The generated header files end up in the build directory - not in
# the source directory.
# The rest is down to the usual make process.



cmake_minimum_required (VERSION 2.8.12)
# required for exports? cmake_minimum_required (VERSION 2.8.6)
project (jansson C)

# Options
option(JANSSON_BUILD_SHARED_LIBS "Build shared libraries." OFF)
option(USE_URANDOM "Use /dev/urandom to seed the hash function." ON)
option(USE_WINDOWS_CRYPTOAPI "Use CryptGenRandom to seed the hash function." ON)

if (MSVC)
   # This option must match the settings used in your program, in particular if you
	# are linking statically
	option(JANSSON_STATIC_CRT "Link the static CRT libraries" ON )
endif ()

# Disabled by OBS
option(JANSSON_EXAMPLES "Compile example applications" OFF)

if (UNIX)
   option(JANSSON_COVERAGE "(GCC Only! Requires gcov/lcov to be installed). Include target for doing coverage analysis for the test suite. Note that -DCMAKE_BUILD_TYPE=Debug must be set" OFF)
   option(JANSSON_COVERALLS "Generate coverage info for Coveralls" OFF)
   option(JANSSON_COVERALLS_UPLOAD "Upload coverage info to Coveralls (Only works via Travis)" ON)
endif ()

# Set some nicer output dirs.
set(CMAKE_RUNTIME_OUTPUT_DIRECTORY ${PROJECT_BINARY_DIR}/bin)
set(CMAKE_LIBRARY_OUTPUT_DIRECTORY ${PROJECT_BINARY_DIR}/lib)
set(CMAKE_ARCHIVE_OUTPUT_DIRECTORY ${PROJECT_BINARY_DIR}/lib)
set(JANSSON_TEMP_DIR ${PROJECT_BINARY_DIR}/tmp)

# Give the debug version a different postfix for windows,
# so both the debug and release version can be built in the
# same build-tree on Windows (MSVC).
if (WIN32)
   set(CMAKE_DEBUG_POSTFIX "_d")
endif (WIN32)

# This is how I thought it should go
# set (JANSSON_VERSION "2.3.1")
# set (JANSSON_SOVERSION 2)

set(JANSSON_DISPLAY_VERSION "2.9")

# This is what is required to match the same numbers as automake's
set(JANSSON_VERSION "4.9.0")
set(JANSSON_SOVERSION 4)

# for CheckFunctionKeywords
set(CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake")

include (CheckCSourceCompiles)
include (CheckFunctionExists)
include (CheckFunctionKeywords)
include (CheckIncludeFiles)
include (CheckTypeSize)

if (MSVC)
   # Turn off Microsofts "security" warnings.
   add_definitions( "/W3 /D_CRT_SECURE_NO_WARNINGS /wd4005 /wd4996 /nologo" )

   # Disabled by OBS, options already set by top level CMakeLists
   if (FALSE)
      if (JANSSON_STATIC_CRT)
         set(CMAKE_C_FLAGS_RELEASE "${CMAKE_C_FLAGS_RELEASE} /MT")
         set(CMAKE_C_FLAGS_DEBUG "${CMAKE_C_FLAGS_DEBUG} /MTd")
      endif()
   endif()

endif()

if (NOT WIN32 AND NOT APPLE)
   add_definitions("-fPIC")
endif()

message("C compiler: ${CMAKE_C_COMPILER_ID}")

# Coverage only works with GCC for a debug build.
if (JANSSON_COVERALLS)
   set(JANSSON_COVERAGE ON)
endif()

if (JANSSON_COVERAGE)
   include(CodeCoverage)
   include(Coveralls)

   # This adds coverage arguments to gcc/clang.
   coveralls_turn_on_coverage()
endif()

check_include_files (endian.h HAVE_ENDIAN_H)
check_include_files (fcntl.h HAVE_FCNTL_H)
check_include_files (sched.h HAVE_SCHED_H)
check_include_files (unistd.h HAVE_UNISTD_H)
check_include_files (sys/param.h HAVE_SYS_PARAM_H)
check_include_files (sys/stat.h HAVE_SYS_STAT_H)
check_include_files (sys/time.h HAVE_SYS_TIME_H)
check_include_files (sys/time.h HAVE_SYS_TYPES_H)

check_function_exists (close HAVE_CLOSE)
check_function_exists (getpid HAVE_GETPID)
check_function_exists (gettimeofday HAVE_GETTIMEOFDAY)
check_function_exists (open HAVE_OPEN)
check_function_exists (read HAVE_READ)
check_function_exists (sched_yield HAVE_SCHED_YIELD)

# Check for the int-type includes
check_include_files (stdint.h HAVE_STDINT_H)

# Check our 64 bit integer sizes
check_type_size (__int64 __INT64)
check_type_size (int64_t INT64_T)
check_type_size ("long long" LONG_LONG_INT)

# Check our 32 bit integer sizes
check_type_size (int32_t INT32_T)
check_type_size (__int32 __INT32)
check_type_size ("long" LONG_INT)
check_type_size ("int" INT)
if (HAVE_INT32_T)
   set (JSON_INT32 int32_t)
elseif (HAVE___INT32)
   set (JSON_INT32 __int32)
elseif (HAVE_LONG_INT AND (${LONG_INT} EQUAL 4))
   set (JSON_INT32 long)
elseif (HAVE_INT AND (${INT} EQUAL 4))
   set (JSON_INT32 int)
else ()
   message (FATAL_ERROR "Could not detect a valid 32-bit integer type")
endif ()

check_type_size ("unsigned long" UNSIGNED_LONG_INT)
check_type_size ("unsigned int" UNSIGNED_INT)
check_type_size ("unsigned short" UNSIGNED_SHORT)

check_type_size (uint32_t UINT32_T)
check_type_size (__uint32 __UINT32)
if (HAVE_UINT32_T)
   set (JSON_UINT32 uint32_t)
elseif (HAVE___UINT32)
   set (JSON_UINT32 __uint32)
elseif (HAVE_UNSIGNED_LONG_INT AND (${UNSIGNED_LONG_INT} EQUAL 4))
   set (JSON_UINT32 "unsigned long")
elseif (HAVE_UNSIGNED_INT AND (${UNSIGNED_INT} EQUAL 4))
   set (JSON_UINT32 "unsigned int")
else ()
   message (FATAL_ERROR "Could not detect a valid unsigned 32-bit integer type")
endif ()

check_type_size (uint16_t UINT16_T)
check_type_size (__uint16 __UINT16)
if (HAVE_UINT16_T)
   set (JSON_UINT16 uint16_t)
elseif (HAVE___UINT16)
   set (JSON_UINT16 __uint16)
elseif (HAVE_UNSIGNED_INT AND (${UNSIGNED_INT} EQUAL 2))
   set (JSON_UINT16 "unsigned int")
elseif (HAVE_UNSIGNED_SHORT AND (${UNSIGNED_SHORT} EQUAL 2))
   set (JSON_UINT16 "unsigned short")
else ()
   message (FATAL_ERROR "Could not detect a valid unsigned 16-bit integer type")
endif ()

check_type_size (uint8_t UINT8_T)
check_type_size (__uint8 __UINT8)
if (HAVE_UINT8_T)
   set (JSON_UINT8 uint8_t)
elseif (HAVE___UINT8)
   set (JSON_UINT8 __uint8)
else ()
   set (JSON_UINT8 "unsigned char")
endif ()

# Check for ssize_t and SSIZE_T existance.
check_type_size(ssize_t SSIZE_T)
check_type_size(SSIZE_T UPPERCASE_SSIZE_T)
if(NOT HAVE_SSIZE_T)
   if(HAVE_UPPERCASE_SSIZE_T)
      set(JSON_SSIZE SSIZE_T)
   else()
      set(JSON_SSIZE int)
   endif()
endif()
set(CMAKE_EXTRA_INCLUDE_FILES "")

# Check for all the variants of strtoll
check_function_exists (strtoll HAVE_STRTOLL)
check_function_exists (strtoq HAVE_STRTOQ)
check_function_exists (_strtoi64 HAVE__STRTOI64)

# Figure out what variant we should use
if (HAVE_STRTOLL)
   set (JSON_STRTOINT strtoll)
elseif (HAVE_STRTOQ)
   set (JSON_STRTOINT strtoq)
elseif (HAVE__STRTOI64)
   set (JSON_STRTOINT _strtoi64)
else ()
   # fallback to strtol (32 bit)
   # this will set all the required variables
   set (JSON_STRTOINT strtol)
   set (JSON_INT_T long)
   set (JSON_INTEGER_FORMAT "\"ld\"")
endif ()

# if we haven't defined JSON_INT_T, then we have a 64 bit conversion function.
# detect what to use for the 64 bit type.
# Note: I will prefer long long if I can get it, as that is what the automake system aimed for.
if (NOT DEFINED JSON_INT_T)
   if (HAVE_LONG_LONG_INT AND ((${LONG_LONG_INT}) EQUAL 8))
      set (JSON_INT_T "long long")
   elseif (HAVE_INT64_T)
      set (JSON_INT_T int64_t)
   elseif (HAVE___INT64)
      set (JSON_INT_T __int64)
   else ()
      message (FATAL_ERROR "Could not detect 64 bit type, although I detected the strtoll equivalent")
   endif ()

   # Apparently, Borland BCC and MSVC wants I64d,
   # Borland BCC could also accept LD
   # and gcc wants ldd,
   # I am not sure what cygwin will want, so I will assume I64d

   if (WIN32) # matches both msvc and cygwin
      set (JSON_INTEGER_FORMAT "\"I64d\"")
   else ()
      set (JSON_INTEGER_FORMAT "\"lld\"")
   endif ()
endif ()


# If locale.h and localeconv() are available, define to 1, otherwise to 0.
check_include_files (locale.h HAVE_LOCALE_H)
check_function_exists (localeconv HAVE_LOCALECONV)

if (HAVE_LOCALECONV AND HAVE_LOCALE_H)
   set (JSON_HAVE_LOCALECONV 1)
else ()
   set (JSON_HAVE_LOCALECONV 0)
endif()

# check if we have setlocale
check_function_exists(setlocale HAVE_SETLOCALE)

# Check what the inline keyword is.
# Note that the original JSON_INLINE was always set to just 'inline', so this goes further.
check_function_keywords("inline")
check_function_keywords("__inline")
check_function_keywords("__inline__")

if (HAVE_INLINE)
   set(JSON_INLINE inline)
elseif (HAVE___INLINE)
   set(JSON_INLINE __inline)
elseif (HAVE___INLINE__)
   set(JSON_INLINE __inline__)
else()
   # no inline on this platform
   set (JSON_INLINE)
endif()

check_c_source_compiles ("int main() { unsigned long val; __sync_bool_compare_and_swap(&val, 0, 1); return 0; } " HAVE_SYNC_BUILTINS)
check_c_source_compiles ("int main() { char l; unsigned long v; __atomic_test_and_set(&l, __ATOMIC_RELAXED); __atomic_store_n(&v, 1, __ATOMIC_RELEASE); __atomic_load_n(&v, __ATOMIC_ACQUIRE); return 0; }" HAVE_ATOMIC_BUILTINS)

set (JANSSON_INITIAL_HASHTABLE_ORDER 3 CACHE STRING "Number of buckets new object hashtables contain is 2 raised to this power. The default is 3, so empty hashtables contain 2^3 = 8 buckets.")

# configure the public config file
configure_file (${CMAKE_CURRENT_SOURCE_DIR}/cmake/jansson_config.h.cmake
                ${CMAKE_CURRENT_BINARY_DIR}/include/jansson_config.h)

# Copy the jansson.h file to the public include folder
file (COPY ${CMAKE_CURRENT_SOURCE_DIR}/src/jansson.h
           DESTINATION ${CMAKE_CURRENT_BINARY_DIR}/include/)

add_definitions(-DJANSSON_USING_CMAKE)

# configure the private config file
configure_file (${CMAKE_CURRENT_SOURCE_DIR}/cmake/jansson_private_config.h.cmake
                ${CMAKE_CURRENT_BINARY_DIR}/private_include/jansson_private_config.h)

# and tell the source code to include it
add_definitions(-DHAVE_CONFIG_H)

include_directories (${CMAKE_CURRENT_BINARY_DIR}/include)
include_directories (${CMAKE_CURRENT_BINARY_DIR}/private_include)

# Add the lib sources.
file(GLOB JANSSON_SRC src/*.c)

set(JANSSON_HDR_PRIVATE
   ${CMAKE_CURRENT_SOURCE_DIR}/src/hashtable.h
   ${CMAKE_CURRENT_SOURCE_DIR}/src/jansson_private.h
   ${CMAKE_CURRENT_SOURCE_DIR}/src/strbuffer.h
   ${CMAKE_CURRENT_SOURCE_DIR}/src/utf.h
   ${CMAKE_CURRENT_BINARY_DIR}/private_include/jansson_private_config.h)

set(JANSSON_HDR_PUBLIC
   ${CMAKE_CURRENT_BINARY_DIR}/include/jansson_config.h
   ${CMAKE_CURRENT_SOURCE_DIR}/src/jansson.h)

source_group("Library Sources" FILES ${JANSSON_SRC})
source_group("Library Private Headers" FILES ${JANSSON_HDR_PRIVATE})
source_group("Library Public Headers" FILES ${JANSSON_HDR_PUBLIC})

if(JANSSON_BUILD_SHARED_LIBS)

=== deps/lzma/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.2)

project(lzma)

set(LIBLZMA_INCLUDE_DIRS
	"${CMAKE_CURRENT_SOURCE_DIR}"
	"${CMAKE_CURRENT_SOURCE_DIR}/liblzma/api"
		CACHE PATH "lzma include path")

set(LIBLZMA_CONFIG
	"${CMAKE_CURRENT_SOURCE_DIR}/config.h"
		CACHE PATH "lzma config.h path")

include_directories(
	${LIBLZMA_INCLUDE_DIRS}
	common
	liblzma/api
	liblzma/check
	liblzma/common
	liblzma/delta
	liblzma/lz
	liblzma/lzma
	liblzma/rangecoder
	liblzma/simple
)

add_definitions(
	-DHAVE_CONFIG_H
	-DTUKLIB_SYMBOL_PREFIX=lzma_)

if(WIN32)
	if(MSVC)
		add_compile_options($<IF:$<CONFIG:Debug>,/MTd,/MT> /Zl)
		add_compile_options("/wd4244")
		add_compile_options("/wd4267")
	endif()
	add_definitions(
		-Dinline=_inline
		-Drestrict=__restrict)
endif()

set(liblzma_check_SOURCES
	liblzma/check/check.c)

list(APPEND liblzma_check_SOURCES
	liblzma/check/crc32_table.c
	liblzma/check/crc32_fast.c
	liblzma/check/crc64_table.c
	liblzma/check/crc64_fast.c
	liblzma/check/sha256.c)

set(liblzma_common_SOURCES
	liblzma/common/common.c
	liblzma/common/block_util.c
	liblzma/common/easy_preset.c
	liblzma/common/filter_common.c
	liblzma/common/hardware_physmem.c
	liblzma/common/index.c
	liblzma/common/stream_flags_common.c
	liblzma/common/vli_size.c
	liblzma/common/alone_encoder.c
	liblzma/common/block_buffer_encoder.c
	liblzma/common/block_encoder.c
	liblzma/common/block_header_encoder.c
	liblzma/common/easy_buffer_encoder.c
	liblzma/common/easy_encoder.c
	liblzma/common/easy_encoder_memusage.c
	liblzma/common/filter_buffer_encoder.c
	liblzma/common/filter_encoder.c
	liblzma/common/filter_flags_encoder.c
	liblzma/common/index_encoder.c
	liblzma/common/stream_buffer_encoder.c
	liblzma/common/stream_encoder.c
	liblzma/common/stream_flags_encoder.c
	liblzma/common/vli_encoder.c
	liblzma/common/alone_decoder.c
	liblzma/common/auto_decoder.c
	liblzma/common/block_buffer_decoder.c
	liblzma/common/block_decoder.c
	liblzma/common/block_header_decoder.c
	liblzma/common/easy_decoder_memusage.c
	liblzma/common/filter_buffer_decoder.c
	liblzma/common/filter_decoder.c
	liblzma/common/filter_flags_decoder.c
	liblzma/common/index_decoder.c
	liblzma/common/index_hash.c
	liblzma/common/stream_buffer_decoder.c
	liblzma/common/stream_decoder.c
	liblzma/common/stream_flags_decoder.c
	liblzma/common/vli_decoder.c)

set(liblzma_delta_SOURCES
	liblzma/delta/delta_common.c
	liblzma/delta/delta_encoder.c
	liblzma/delta/delta_decoder.c)

set(liblzma_lzma_SOURCES
	liblzma/lzma/lzma_encoder.c
	liblzma/lzma/lzma_encoder_presets.c
	liblzma/lzma/lzma_encoder_optimum_fast.c
	liblzma/lzma/lzma_encoder_optimum_normal.c
	liblzma/lzma/fastpos_table.c
	liblzma/lzma/lzma_decoder.c

	liblzma/lzma/lzma2_encoder.c
	liblzma/lzma/lzma2_decoder.c)

set(liblzma_lz_SOURCES
	liblzma/lz/lz_encoder.c
	liblzma/lz/lz_encoder_mf.c
	liblzma/lz/lz_decoder.c)

set(liblzma_rangecoder_SOURCES
	liblzma/rangecoder/price_table.c)

set(liblzma_simple_SOURCES
	liblzma/simple/simple_coder.c
	liblzma/simple/simple_encoder.c
	liblzma/simple/simple_decoder.c

	liblzma/simple/arm.c
	liblzma/simple/armthumb.c
	liblzma/simple/ia64.c
	liblzma/simple/powerpc.c
	liblzma/simple/sparc.c
	liblzma/simple/x86.c)

if (WIN32)
	SET_SOURCE_FILES_PROPERTIES(
		${liblzma_check_SOURCES}
		${liblzma_common_SOURCES}
		${liblzma_delta_SOURCES}
		${liblzma_lz_SOURCES}
		${liblzma_lzma_SOURCES}
		${liblzma_rangecoder_SOURCES}
		${liblzma_simple_SOURCES}
			PROPERTIES LANGUAGE C)
endif()

add_library(lzma STATIC
	${liblzma_check_SOURCES}
	${liblzma_common_SOURCES}
	${liblzma_delta_SOURCES}
	${liblzma_lz_SOURCES}
	${liblzma_lzma_SOURCES}
	${liblzma_rangecoder_SOURCES}
	${liblzma_simple_SOURCES})
set_target_properties(lzma PROPERTIES FOLDER "deps")

=== plugins/obs-filters/CMakeLists.txt ===
project(obs-filters)

option(DISABLE_SPEEXDSP "Disable building of the SpeexDSP-based Noise Suppression filter" OFF)

if(DISABLE_SPEEXDSP)
	message(STATUS "SpeexDSP support disabled")
	set(LIBSPEEXDSP_FOUND FALSE)
else()
	find_package(Libspeexdsp)
	if(LIBSPEEXDSP_FOUND)
		add_definitions(-DLIBSPEEXDSP_ENABLED)
	endif()
endif()

find_package(Librnnoise QUIET)
add_definitions(-DLIBRNNOISE_ENABLED)
if(NOT LIBRNNOISE_FOUND)
	file(GLOB rnnoise_SOURCES
		"rnnoise/src/*.c"
		"rnnoise/src/*.h"
		"rnnoise/include/*.h")
	add_definitions(-DCOMPILE_OPUS)
	if("${CMAKE_SYSTEM_NAME}" MATCHES "Linux")
		set_property(SOURCE ${rnnoise_SOURCES} PROPERTY COMPILE_FLAGS "-fvisibility=protected")
	endif()
	include_directories("rnnoise/include")
	source_group("rnnoise" FILES ${rnnoise_SOURCES})
	set(LIBRNNOISE_FOUND TRUE)
endif()

if (WIN32)
	if(DISABLE_NVAFX)
		message(STATUS "NVidia Audio FX support disabled")
		set(LIBNVAFX_FOUND FALSE)
	else()
		message(STATUS "NVidia Audio FX support enabled; requires redist to be installed by end-user")
		add_definitions(-DLIBNVAFX_ENABLED)
		set(LIBNVAFX_FOUND TRUE)
	endif()
endif()

if(LIBSPEEXDSP_FOUND OR LIBRNNOISE_FOUND OR LIBNVAFX_FOUND)
	set(obs-filters_NOISEREDUCTION_SOURCES
		noise-suppress-filter.c)
	if(LIBNVAFX_FOUND)
		set(obs-filters_NOISEREDUCTION_HEADERS
			nvafx-load.h)
	else()
		set(obs-filters_NOISEREDUCTION_HEADERS)
	endif()
	set(obs-filters_NOISEREDUCTION_LIBRARIES
		${LIBSPEEXDSP_LIBRARIES} ${LIBRNNOISE_LIBRARIES})
	set(NOISEREDUCTION_ENABLED TRUE)
else()
	set(NOISEREDUCTION_ENABLED FALSE)
endif()

configure_file("${CMAKE_CURRENT_SOURCE_DIR}/obs-filters-config.h.in"
	"${CMAKE_BINARY_DIR}/plugins/obs-filters/config/obs-filters-config.h")

set(obs-filters_config_HEADERS
	"${CMAKE_BINARY_DIR}/plugins/obs-filters/config/obs-filters-config.h")
include_directories(${LIBSPEEXDSP_INCLUDE_DIRS} ${LIBRNNOISE_INCLUDE_DIRS}
	"${CMAKE_BINARY_DIR}/plugins/obs-filters/config")

if(MSVC)
	set(obs-filters_PLATFORM_DEPS
		w32-pthreads)
endif()

set(obs-filters_SOURCES
	obs-filters.c
	color-correction-filter.c
	async-delay-filter.c
	gpu-delay.c
	crop-filter.c
	scale-filter.c
	scroll-filter.c
	chroma-key-filter.c
	color-key-filter.c
	color-grade-filter.c
	sharpness-filter.c
	gain-filter.c
	noise-gate-filter.c
	mask-filter.c
	invert-audio-polarity.c
	compressor-filter.c
	limiter-filter.c
	expander-filter.c
	luma-key-filter.c)

if(WIN32)
	set(MODULE_DESCRIPTION "OBS A/V Filters")
	configure_file(${CMAKE_SOURCE_DIR}/cmake/winrc/obs-module.rc.in obs-filters.rc)
	list(APPEND obs-filters_SOURCES
		obs-filters.rc)
endif()

add_library(obs-filters MODULE
	${rnnoise_SOURCES}
	${obs-filters_SOURCES}
	${obs-filters_config_HEADERS}
	${obs-filters_NOISEREDUCTION_SOURCES}
	${obs-filters_NOISEREDUCTION_HEADERS})
target_link_libraries(obs-filters
	libobs
	${obs-filters_PLATFORM_DEPS}
	${obs-filters_NOISEREDUCTION_LIBRARIES})
set_target_properties(obs-filters PROPERTIES FOLDER "plugins")

install_obs_plugin_with_data(obs-filters data)

=== plugins/obs-qsv11/CMakeLists.txt ===
project(obs-qsv11)

include_directories(libmfx/include/msdk/include)
include_directories(libmfx/include)

set(obs-qsv11_libmfx_SOURCES
	libmfx/src/main.cpp
	libmfx/src/mfx_critical_section.cpp
	libmfx/src/mfx_dispatcher.cpp
	libmfx/src/mfx_dispatcher_log.cpp
	libmfx/src/mfx_dxva2_device.cpp
	libmfx/src/mfx_function_table.cpp
	libmfx/src/mfx_library_iterator.cpp
	libmfx/src/mfx_load_dll.cpp
	libmfx/src/mfx_load_plugin.cpp
	libmfx/src/mfx_plugin_hive.cpp
	libmfx/src/mfx_win_reg_key.cpp
	)

set(obs-qsv11_libmfx_HEADERS
	libmfx/include/msdk/include/mfxastructures.h
	libmfx/include/msdk/include/mfxaudio.h
	libmfx/include/msdk/include/mfxaudio++.h
	libmfx/include/msdk/include/mfxcommon.h
	libmfx/include/msdk/include/mfxdefs.h
	libmfx/include/msdk/include/mfxjpeg.h
	libmfx/include/msdk/include/mfxmvc.h
	libmfx/include/msdk/include/mfxplugin.h
	libmfx/include/msdk/include/mfxplugin++.h
	libmfx/include/msdk/include/mfxsession.h
	libmfx/include/msdk/include/mfxstructures.h
	libmfx/include/msdk/include/mfxvideo.h
	libmfx/include/msdk/include/mfxvideo++.h
	libmfx/include/msdk/include/mfxvstructures.h
	libmfx/include/mfx_critical_section.h
	libmfx/include/mfx_dispatcher.h
	libmfx/include/mfx_dispatcher_defs.h
	libmfx/include/mfx_dispatcher_log.h
	libmfx/include/mfx_dxva2_device.h
	libmfx/include/mfx_exposed_functions_list.h
	libmfx/include/mfx_library_iterator.h
	libmfx/include/mfx_load_dll.h
	libmfx/include/mfx_load_plugin.h
	libmfx/include/mfx_plugin_hive.h
	libmfx/include/mfx_vector.h
	libmfx/include/mfx_win_reg_key.h
	libmfx/include/mfxaudio_exposed_functions_list.h
	)

set(obs-qsv11_SOURCES
	common_directx9.cpp
	common_directx11.cpp
	common_utils.cpp
	common_utils_windows.cpp
	device_directx9.cpp
	QSV_Encoder.cpp
	QSV_Encoder_Internal.cpp
	obs-qsv11.c
	obs-qsv11-plugin-main.c)

if(WIN32)
	set(MODULE_DESCRIPTION "OBS QSV encoder")
	configure_file(${CMAKE_SOURCE_DIR}/cmake/winrc/obs-module.rc.in obs-qsv11.rc)
	list(APPEND obs-qsv11_SOURCES
		obs-qsv11.rc)
endif()

set(obs-qsv11_HEADERS
	bits/linux_defs.h
	bits/windows_defs.h
	common_directx9.h
	common_directx11.h
	device_directx9.h
	common_utils.h
	QSV_Encoder.h
	QSV_Encoder_Internal.h)

add_library(obs-qsv11 MODULE
	${obs-qsv11_SOURCES}
	${obs-qsv11_HEADERS}
	${obs-qsv11_libmfx_SOURCES}
	${obs-qsv11_libmfx_HEADERS}
	)
target_link_libraries(obs-qsv11
	libobs
	d3d9
	d3d11
	dxva2
	dxgi
	dxguid
	)

target_compile_definitions(obs-qsv11 PRIVATE DX11_D3D)
set_target_properties(obs-qsv11 PROPERTIES FOLDER "plugins")

source_group("obs-qsv11\\Source Files" FILES ${obs-qsv11_SOURCES})
source_group("obs-qsv11\\Header Files" FILES ${obs-qsv11_HEADERS})
source_group("libmfx\\Source Files" FILES ${obs-qsv11_libmfx_SOURCES})
source_group("libmfx\\Header Files" FILES ${obs-qsv11_libmfx_HEADERS})

install_obs_plugin_with_data(obs-qsv11 data)

=== plugins/win-capture/CMakeLists.txt ===
project(win-capture)

if(MSVC)
	set(win-capture_PLATFORM_DEPS
		w32-pthreads)
endif()

set(win-capture_HEADERS
	nt-stuff.h
	obfuscate.h
	app-helpers.h
	hook-helpers.h
	inject-library.h
	cursor-capture.h
	graphics-hook-info.h
	graphics-hook-ver.h
	window-helpers.h
	dc-capture.h)

set(win-capture_SOURCES
	dc-capture.c
	obfuscate.c
	app-helpers.c
	inject-library.c
	cursor-capture.c
	game-capture.c
	window-helpers.c
	monitor-capture.c
	window-capture.c
	load-graphics-offsets.c
	game-capture-file-init.c
	duplicator-monitor-capture.c
	plugin-main.c)

add_library(win-capture MODULE
	${win-capture_SOURCES}
	${win-capture_HEADERS})
target_link_libraries(win-capture
	${win-capture_PLATFORM_DEPS}
	libobs
	Dwmapi
	ipc-util
	psapi)
set_target_properties(win-capture PROPERTIES FOLDER "plugins/win-capture")

install_obs_plugin_with_data(win-capture data)

add_subdirectory(graphics-hook)
add_subdirectory(get-graphics-offsets)
add_subdirectory(inject-helper)

=== plugins/win-dshow/CMakeLists.txt ===
if(NOT EXISTS "${CMAKE_CURRENT_SOURCE_DIR}/libdshowcapture/dshowcapture.hpp")
	message(STATUS "libdshowcapture submodule not found!  Please fetch submodules.  win-dshow plugin disabled.")
	return()
endif()

project(win-dshow)

find_package(FFmpeg REQUIRED COMPONENTS avcodec avutil)
include_directories(${FFMPEG_INCLUDE_DIRS})

set(win-dshow_HEADERS
	encode-dstr.hpp
	ffmpeg-decode.h)

set(MODULE_DESCRIPTION "OBS DirectShow module")

set(VIRTUALCAM_GUID "" CACHE STRING "VirtualCam GUID")

set(VIRTUALCAM_ENABLED FALSE)
if(VIRTUALCAM_GUID STREQUAL "")
	message(STATUS "VirtualCam GUID not set! VirtualCam disabled.")
else()
	set(INVALID_GUID TRUE)

	string(REPLACE "-" ";" GUID_VALS ${VIRTUALCAM_GUID})

	list(LENGTH GUID_VALS GUID_VAL_COUNT)
	if(GUID_VAL_COUNT EQUAL 5)
		string(REPLACE ";" "0" GUID_HEX ${GUID_VALS})
		string(REGEX MATCH "[0-9a-fA-F]+" GUID_ACTUAL_HEX ${GUID_HEX})
		if(GUID_ACTUAL_HEX STREQUAL GUID_HEX)
			list(GET GUID_VALS 0 GUID_VALS_DATA1)
			list(GET GUID_VALS 1 GUID_VALS_DATA2)
			list(GET GUID_VALS 2 GUID_VALS_DATA3)
			list(GET GUID_VALS 3 GUID_VALS_DATA4)
			list(GET GUID_VALS 4 GUID_VALS_DATA5)
			string(LENGTH ${GUID_VALS_DATA1} GUID_VALS_DATA1_LENGTH)
			string(LENGTH ${GUID_VALS_DATA2} GUID_VALS_DATA2_LENGTH)
			string(LENGTH ${GUID_VALS_DATA3} GUID_VALS_DATA3_LENGTH)
			string(LENGTH ${GUID_VALS_DATA4} GUID_VALS_DATA4_LENGTH)
			string(LENGTH ${GUID_VALS_DATA5} GUID_VALS_DATA5_LENGTH)
			if(GUID_VALS_DATA1_LENGTH EQUAL 8 AND
			   GUID_VALS_DATA2_LENGTH EQUAL 4 AND
			   GUID_VALS_DATA3_LENGTH EQUAL 4 AND
			   GUID_VALS_DATA4_LENGTH EQUAL 4 AND
			   GUID_VALS_DATA5_LENGTH EQUAL 12)
				set(GUID_VAL01 ${GUID_VALS_DATA1})
				set(GUID_VAL02 ${GUID_VALS_DATA2})
				set(GUID_VAL03 ${GUID_VALS_DATA3})
				string(SUBSTRING ${GUID_VALS_DATA4} 0 2 GUID_VAL04)
				string(SUBSTRING ${GUID_VALS_DATA4} 2 2 GUID_VAL05)
				string(SUBSTRING ${GUID_VALS_DATA5} 0 2 GUID_VAL06)
				string(SUBSTRING ${GUID_VALS_DATA5} 2 2 GUID_VAL07)
				string(SUBSTRING ${GUID_VALS_DATA5} 4 2 GUID_VAL08)
				string(SUBSTRING ${GUID_VALS_DATA5} 6 2 GUID_VAL09)
				string(SUBSTRING ${GUID_VALS_DATA5} 8 2 GUID_VAL10)
				string(SUBSTRING ${GUID_VALS_DATA5} 10 2 GUID_VAL11)
				set(VIRTUALCAM_ENABLED TRUE)
				set(INVALID_GUID FALSE)
			endif()
		endif()
	endif()
endif()

if(INVALID_GUID)
	message(WARNING "Invalid VirtualCam GUID! VirtualCam disabled.")
endif()

if(VIRTUALCAM_ENABLED)
	add_definitions(-DVIRTUALCAM_ENABLED)
endif()

configure_file(${CMAKE_SOURCE_DIR}/cmake/winrc/obs-module.rc.in win-dshow.rc)
configure_file(${CMAKE_CURRENT_SOURCE_DIR}/virtualcam-guid.h.in ${CMAKE_CURRENT_BINARY_DIR}/virtualcam-guid.h)
include_directories(${CMAKE_CURRENT_BINARY_DIR})

set(win-dshow_SOURCES
	win-dshow.cpp
	win-dshow-encoder.cpp
	dshow-plugin.cpp
	ffmpeg-decode.c
	win-dshow.rc)

if(VIRTUALCAM_ENABLED)
	set(virtualcam-output_SOURCES
		tiny-nv12-scale.c
		shared-memory-queue.c
		virtualcam.c)
	set(virtualcam-output_HEADERS
		tiny-nv12-scale.h
		shared-memory-queue.h)
endif()

set(libdshowcapture_SOURCES
	libdshowcapture/source/capture-filter.cpp
	libdshowcapture/source/output-filter.cpp
	libdshowcapture/source/dshowcapture.cpp
	libdshowcapture/source/dshowencode.cpp
	libdshowcapture/source/device.cpp
	libdshowcapture/source/encoder.cpp
	libdshowcapture/source/dshow-base.cpp
	libdshowcapture/source/dshow-demux.cpp
	libdshowcapture/source/dshow-enum.cpp
	libdshowcapture/source/dshow-formats.cpp
	libdshowcapture/source/dshow-media-type.cpp
	libdshowcapture/source/dshow-encoded-device.cpp
	libdshowcapture/source/log.cpp)

set(libdshowcapture_HEADERS
	libdshowcapture/dshowcapture.hpp
	libdshowcapture/source/external/IVideoCaptureFilter.h
	libdshowcapture/source/capture-filter.hpp
	libdshowcapture/source/output-filter.hpp
	libdshowcapture/source/device.hpp
	libdshowcapture/source/encoder.hpp
	libdshowcapture/source/dshow-base.hpp
	libdshowcapture/source/dshow-demux.hpp
	libdshowcapture/source/dshow-device-defs.hpp
	libdshowcapture/source/dshow-enum.hpp
	libdshowcapture/source/dshow-formats.hpp
	libdshowcapture/source/dshow-media-type.hpp
	libdshowcapture/source/log.hpp)

add_library(win-dshow MODULE
	${win-dshow_SOURCES}
	${win-dshow_HEADERS}
	${virtualcam-output_SOURCES}
	${virtualcam-output_HEADERS}
	${libdshowcapture_SOURCES}
	${libdshowcapture_HEADERS})
target_link_libraries(win-dshow
	libobs
	strmiids
	ksuser
	wmcodecdspuuid
	w32-pthreads
	${FFMPEG_LIBRARIES})
set_target_properties(win-dshow PROPERTIES FOLDER "plugins/win-dshow")

source_group("libdshowcapture\\Source Files" FILES ${libdshowcapture_SOURCES})
source_group("libdshowcapture\\Header Files" FILES ${libdshowcapture_HEADERS})

install_obs_plugin_with_data(win-dshow data)

if(VIRTUALCAM_ENABLED)
	configure_file(virtualcam-install.bat.in "${CMAKE_CURRENT_BINARY_DIR}/data/virtualcam-install.bat")
	configure_file(virtualcam-uninstall.bat.in "${CMAKE_CURRENT_BINARY_DIR}/data/virtualcam-uninstall.bat")
	install_obs_data_from_abs_path(win-dshow "${CMAKE_CURRENT_BINARY_DIR}/data" "obs-plugins/win-dshow")
	add_subdirectory(virtualcam-module)
endif()

=== plugins/win-ivcam/CMakeLists.txt ===
project(win-ivcam)

if(DISABLE_IVCAM)
	message(STATUS "Realsense camera plugin disabled")
	return()
endif()

find_package(RSSDK QUIET)
if(NOT RSSDK_FOUND AND ENABLE_IVCAM)
	message(FATAL_ERROR "RSSDK not found, but the realsense camera plugin is set as enabled")
elseif(NOT RSSDK_FOUND)
	message(STATUS "RSSDK not found, Realsense camera plugin disabled")
	return()
endif()

include(IDLFileHelper)

set(win-ivcam_seg_library_IDLS
	seg_service/seg_service.idl
	)

add_idl_files(win-ivcam_seg_library_GENERATED_FILES
	${win-ivcam_seg_library_IDLS})

include_directories(
	${CMAKE_CURRENT_BINARY_DIR}
	)

set(win-ivcam_seg_library_HEADERS
	seg_library/Dependencies.h
	seg_library/SegImage.h
	seg_library/SegServer.h
	seg_library/SegServerImpl.h
	seg_library/SegService.h
	)
set(win-ivcam_seg_library_SOURCES
	seg_library/SerServer.cpp
	seg_library/SegServerImpl.cpp
	seg_library/SegImage.cpp
	${win-ivcam_seg_library_GENERATED_FILES}
	)

set(MODULE_DESCRIPTION "OBS Intel(R) RealSense(TM) module")
configure_file(${CMAKE_SOURCE_DIR}/cmake/winrc/obs-module.rc.in win-ivcam.rc)
set(win-ivcam_SOURCES
	realsense.cpp
	win-ivcam.rc)

source_group("seg_library\\Source Files" FILES ${win-ivcam_seg_library_SOURCES})
source_group("seg_library\\Header Files" FILES ${win-ivcam_seg_library_HEADERS})

add_library(win-ivcam MODULE
	${win-ivcam_seg_library_HEADERS}
	${win-ivcam_seg_library_SOURCES}
	${win-ivcam_SOURCES}
	)
target_link_libraries(win-ivcam
	libobs)

install_obs_plugin(win-ivcam)

if(CMAKE_SIZEOF_VOID_P EQUAL 4)
	add_subdirectory(seg_service)
endif()

=== plugins/win-mf/CMakeLists.txt ===
project(win-mf)

set(ENABLE_WINMF FALSE CACHE BOOL "Enables the now deprecated win-mf plugin")

configure_file(
	"${CMAKE_CURRENT_SOURCE_DIR}/mf-config.hpp.in"
	"${CMAKE_CURRENT_BINARY_DIR}/mf-config.hpp")

set(win-mf_config_HEADERS
	"${CMAKE_CURRENT_BINARY_DIR}/mf-config.hpp")

set(MODULE_DESCRIPTION "OBS Windows Media Foundations H.264/AAC encoder")
configure_file(${CMAKE_SOURCE_DIR}/cmake/winrc/obs-module.rc.in win-mf.rc)
if(ENABLE_WINMF)
	set(win-mf_SOURCES
		mf-plugin.cpp
		mf-aac.cpp
		mf-aac-encoder.cpp
		mf-common.cpp
		mf-encoder-descriptor.cpp
		mf-h264.cpp
		mf-h264-encoder.cpp
		win-mf.rc)

	set(win-mf_HEADERS
		mf-common.hpp
		mf-encoder-descriptor.hpp
		mf-aac-encoder.hpp
		mf-h264-encoder.hpp)

	set(win-mf_DEPS
		d3d9
		dxva2
		uuid
		mfplat
		mfuuid
		mf
		wmcodecdspuuid)
else()
	set(win-mf_SOURCES
		mf-plugin.cpp
		win-mf.rc)
endif()

add_library(win-mf MODULE
	${win-mf_config_HEADERS}
	${win-mf_SOURCES}
	${win-mf_HEADERS})

target_link_libraries(win-mf
	${win-mf_DEPS}
	libobs)

target_include_directories(win-mf
	PUBLIC
	"$<BUILD_INTERFACE:${CMAKE_CURRENT_BINARY_DIR}>")

set_target_properties(win-mf PROPERTIES FOLDER "plugins")

if(ENABLE_WINMF)
	install_obs_plugin_with_data(win-mf data)
else()
	install_obs_plugin(win-mf)
endif()

=== plugins/win-wasapi/CMakeLists.txt ===
project(win-wasapi)

set(win-wasapi_HEADERS
	enum-wasapi.hpp)

set(MODULE_DESCRIPTION "OBS WASAPI module")
configure_file(${CMAKE_SOURCE_DIR}/cmake/winrc/obs-module.rc.in win-wasapi.rc)
set(win-wasapi_SOURCES
	win-wasapi.cpp
	enum-wasapi.cpp
	plugin-main.cpp
	win-wasapi.rc)

add_library(win-wasapi MODULE
	${win-wasapi_SOURCES}
	${win-wasapi_HEADERS})
target_link_libraries(win-wasapi
	libobs)
set_target_properties(win-wasapi PROPERTIES FOLDER "plugins")

install_obs_plugin_with_data(win-wasapi data)

=== plugins/win-capture/get-graphics-offsets/CMakeLists.txt ===
project(get-graphics-offsets)

set(get-graphics-offsets_HEADERS
	../graphics-hook-info.h
	../hook-helpers.h
	get-graphics-offsets.h)

set(get-graphics-offsets_SOURCES
	get-graphics-offsets.c
	dxgi-offsets.cpp
	d3d8-offsets.cpp
	d3d9-offsets.cpp)

if(MSVC)
	add_compile_options($<IF:$<CONFIG:Debug>,/MTd,/MT>)
endif()

add_executable(get-graphics-offsets
	${get-graphics-offsets_SOURCES}
	${get-graphics-offsets_HEADERS})

target_link_libraries(get-graphics-offsets
	d3d9.lib
	dxgi.lib
	d3d11.lib)

set_target_properties(get-graphics-offsets PROPERTIES FOLDER "plugins/win-capture")

if(CMAKE_SIZEOF_VOID_P EQUAL 8)
	set(_output_suffix "64")
else()
	set(_output_suffix "32")
endif()

set_target_properties(get-graphics-offsets
	PROPERTIES
		OUTPUT_NAME "get-graphics-offsets${_output_suffix}")

install_obs_datatarget(get-graphics-offsets "obs-plugins/win-capture")

=== debian/changelog ===
obs-studio-dmo (1:27.0.1-dmo2) unstable; urgency=medium

  * Build with libx264-164

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 14 Jun 2021 09:41:19 +0200

obs-studio-dmo (1:27.0.1-dmo1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 11 Jun 2021 21:45:00 +0200

obs-studio-dmo (1:27.0.0-dmo2) unstable; urgency=medium

  * libobs-dev package should depends on libsimde-dev

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 10 Jun 2021 11:59:37 +0200

obs-studio-dmo (1:27.0.0-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 01 Jun 2021 19:01:43 +0200

obs-studio-dmo (1:26.1.2-dmo1) unstable; urgency=medium

  * New upstream release (Same as 26.1.1).
  * Build with libx264-163

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 06 May 2021 18:20:14 +0200

obs-studio-dmo (1:26.1.1-dmo2) unstable; urgency=medium

  * Fix '04_underlinking' with xcb libraries.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 12 Jan 2021 09:53:19 +0100

obs-studio-dmo (1:26.1.1-dmo1) unstable; urgency=medium

  * New upstream release.
  * Fix modinfo path.

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 06 Jan 2021 08:13:29 +0100

obs-studio-dmo (1:26.1.0-dmo2) unstable; urgency=medium

  * Build with ffmpeg 10:4.3.1-dmo7 to add srt support.

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 23 Dec 2020 11:43:22 +0100

obs-studio-dmo (1:26.1.0-dmo1) unstable; urgency=medium

  * New upstream release.
  * Remove deprecated -DBUILD_CAPTIONS build option.

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 14 Dec 2020 11:36:50 +0100

obs-studio-dmo (1:26.0.2-dmo3) unstable; urgency=medium

  * Build with python 3.9

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 19 Nov 2020 14:22:37 +0100

obs-studio-dmo (1:26.0.2-dmo2) unstable; urgency=medium

  * Add upstream patch to fix crash with noise filter.

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 09 Nov 2020 14:11:09 +0100

obs-studio-dmo (1:26.0.2-dmo1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 07 Oct 2020 00:10:37 +0200

obs-studio-dmo (1:26.0.1-dmo1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 05 Oct 2020 19:54:43 +0200

obs-studio-dmo (1:26.0.0-dmo4) unstable; urgency=medium

  * Use <= instead of << in  Replaces/Breaks

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 02 Oct 2020 01:19:43 +0200

obs-studio-dmo (1:26.0.0-dmo3) unstable; urgency=medium

  * Use Conflicts instead of Breaks in debian/control

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 02 Oct 2020 01:08:00 +0200

obs-studio-dmo (1:26.0.0-dmo2) unstable; urgency=medium

  * Enable captions.

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 02 Oct 2020 00:26:27 +0200

obs-studio-dmo (1:26.0.0-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 28 Sep 2020 16:14:27 +0200

obs-studio-dmo (1:25.0.8-dmo3) unstable; urgency=medium

  * Fix build with GCC 10

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 27 Jul 2020 07:29:11 +0200

obs-studio-dmo (1:25.0.8-dmo2) unstable; urgency=medium

  * Build with libx264-161

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 07 Jul 2020 12:41:56 +0200

obs-studio-dmo (1:25.0.8-dmo1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 27 Apr 2020 07:29:52 +0200

obs-studio-dmo (1:25.0.7-dmo1) unstable; urgency=medium

  * New upstream bugfix release.
  * Build with '-DDISABLE_UPDATE_MODULE=TRUE'

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 17 Apr 2020 08:03:12 +0200

obs-studio-dmo (1:25.0.6-dmo1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 14 Apr 2020 08:06:52 +0200

obs-studio-dmo (1:25.0.5-dmo2) unstable; urgency=medium

  * Build with libx264-160

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 13 Apr 2020 09:32:15 +0200

obs-studio-dmo (1:25.0.5-dmo1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 09 Apr 2020 07:52:27 +0200

obs-studio-dmo (1:25.0.4-dmo1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 06 Apr 2020 01:26:19 +0200

obs-studio-dmo (1:25.0.3-dmo1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 24 Mar 2020 07:18:53 +0100

obs-studio-dmo (1:25.0.2-dmo1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 22 Mar 2020 19:30:33 +0100

obs-studio-dmo (1:25.0.1-dmo1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 20 Mar 2020 07:56:13 +0100

obs-studio-dmo (1:25.0.0-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 18 Mar 2020 01:47:36 +0100

obs-studio-dmo (1:24.0.6-dmo3) unstable; urgency=medium

  * Build with python 3.8

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 03 Mar 2020 14:53:14 +0100

obs-studio-dmo (1:24.0.6-dmo2) unstable; urgency=medium

  * Build with libx264-159

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 17 Dec 2019 11:21:43 +0100

obs-studio-dmo (1:24.0.6-dmo1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 17 Dec 2019 00:25:47 +0100

obs-studio-dmo (1:24.0.5-dmo2) unstable; urgency=medium

  * byte-compile Python scripts in obs-plugins



=== debian/control ===
Source: obs-studio-dmo
Section: video
Priority: optional
Maintainer: Christian Marillat <marillat@deb-multimedia.org>
Bugs: mailto:marillat@deb-multimedia.org
Homepage: https://obsproject.com
Rules-Requires-Root: no
Standards-Version: 4.5.1
Build-Conflicts: libsndio-dev
Build-Depends: debhelper-compat (= 13), dh-sequence-python3, cmake, quilt,
 libasound2-dev, libavfilter-dev, libv4l-dev, libx11-dev, libfreetype-dev,
 libcurl4-gnutls-dev | libcurl-dev, libdbus-1-dev, libfontconfig-dev,
 libqt5x11extras5-dev, libgl-dev | libgl-dev, libjack-jackd2-dev, swig,
 libjansson-dev (>= 2.5), libpulse-dev, libspeexdsp-dev, libxcb-xinerama0-dev,
 libudev-dev [linux-any], libx264-dev, libxcb-shm0-dev, qtbase5-dev,
 libxcomposite-dev, libxinerama-dev, libvlc-dev, libx11-xcb-dev, libsimde-dev,
 python3-docutils (>= 0.6), libfdk-aac-dev, liblua5.2-dev, libpython3-dev,
 libmbedtls-dev, libfdk-aac-dev, libqt5svg5-dev, libxcb-xinput-dev,
 libxcb-randr0-dev, libavdevice-dev (>= 10:4.3.1-dmo7), ninja-build,
 libpipewire-0.3-dev, libwayland-dev, qtbase5-private-dev,
 libluajit-5.1-dev [!powerpc]

Package: obs-studio
Architecture: any
Depends: obs-plugins (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Suggests: libnvidia-encode1
Replaces: obs-plugins (<= 1:26.0.0-dmo1)
Breaks: obs-plugins (<= 1:26.0.0-dmo1)
Description: recorder and streamer for live video content
 OBS Studio is designed for efficiently recording and streaming live video
 content. It supports live RTP streaming to various streaming sites.
 .
 Other features include:
  * Encoding using H264 (x264) and AAC
  * Unlimited number of scenes and sources
  * File output to MP4 or FLV
  * GPU-based game capture for high performance game streaming
  * Bilinear or lanczos3 resampling
 .
 Note that OBS Studio requires an OpenGL 3.2 compatible video card.

Package: obs-plugins
Architecture: any
Built-Using: ${simde:Built-Using}
Depends: ${misc:Depends}, ${shlibs:Depends}, ${python3:Depends}
Replaces: obs-studio
Recommends: vlc
Description: recorder and streamer for live video content (plugins)
 OBS is designed for efficiently recording and streaming live video content. It
 supports live RTP streaming to various streaming sites.
 .
 This package contains the plugins.

Package: libobs0
Section: libs
Architecture: any
Multi-Arch: same
Built-Using: ${simde:Built-Using}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: recorder and streamer for live video content (shared library)
 OBS Studio is designed for efficiently recording and streaming live video
 content. It supports live RTP streaming to various streaming sites.
 .
 This package contains the shared library libobs.

Package: libobs-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libobs0 (= ${binary:Version}), ${misc:Depends}, libsimde-dev
Description: recorder and streamer for live video content (development files)
 OBS Studio is designed for efficiently recording and streaming live video
 content. It supports live RTP streaming to various streaming sites.
 .
 This package contains the development files.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk

#
# Beware simd doesn't build with distcc
#

%:
	dh $@ -Scmake+ninja --with quilt

override_dh_auto_configure:
	-mkdir plugins/obs-outputs/ftl-sdk
	cp -r ftl-0-9-14/* plugins/obs-outputs/ftl-sdk/

	dh_auto_configure -- \
	-DCMAKE_BUILD_TYPE=Release \
	-DBUILD_BROWSER=OFF \
	-DBUILD_VST=OFF \
	-DCPACK_RESOURCE_FILE_LICENSE=/usr/share/common-licenses/GPL-2 \
	-DDISABLE_UPDATE_MODULE=TRUE \
	-DLUAJIT_INCLUDE_DIR=/usr/include/luajit-2.1 \
	-DOBS_LIBRARY_DESTINATION=lib/$(DEB_HOST_MULTIARCH) \
	-DOBS_MULTIARCH_SUFFIX=/$(DEB_HOST_MULTIARCH) \
	-DOBS_VERSION_OVERRIDE=${DEB_VERSION} \
	-DUNIX_STRUCTURE=1 \
	-Wno-dev \
	$(EXTRA-OPTIONS)

#	exit 1

override_dh_auto_build:
	dh_auto_build

	rst2man debian/obs.rst > debian/obs.1

override_dh_install:
	rm debian/tmp/usr/share/obs/obs-plugins/decklink-captions/.keepme

	dh_install

	rm -rf debian/obs-studio/usr/share/obs/obs-studio/license

override_dh_python3:
	dh_python3 -pobs-plugins usr/share/obs/obs-plugins/frontend-tools/scripts
	dh_python3 -pobs-plugins usr/lib/$(DEB_HOST_MULTIARCH)/obs-scripting

override_dh_clean:
	dh_clean debian/obs.1
	-rm -rf plugins/obs-outputs/ftl-sdk/*

override_dh_auto_test:

=== debian/watch ===
version=4

opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%obs-studio-$1.tar.gz%,dversionmangle=s%\+dfsg\d*$%%,repacksuffix=+dfsg1" \
https://github.com/jp9000/obs-studio/releases \
(?:.*?/)?v?(\d[\d.]*)@ARCHIVE_EXT@
